#!/usr/bin/perl -T
use strict;
use warnings;
use Scalar::Util qw(tainted);
use Text::Xslate;

if ( tainted($ENV{PWD}) ) {
	print "Perl running in taint mode\n";
} else {
	die("ERROR: PERL NOT RUNNING IN TAINT MODE!");
}

###########################################################################
#                                                                         #
#   Please modify $tpl_path and $tpl_cache_dir to match the actual paths  #
#                                                                         #
###########################################################################

my $tpl_path 		= '/home/test/text_xslate_issue_taintmode_test/templates/';
my $tpl_cache_dir	= '/home/test/text_xslate_issue_taintmode_test/templates_cache/';

my $txl =  Text::Xslate->new(
	syntax		=> 'TTerse',
	path		=> [$tpl_path],
	cache_dir	=>  $tpl_cache_dir,
	cache		=> 1,
);

print "\nInitiating test\n\n";
print $txl->render('main.tpl');

# touching included file to simulate an update
# Next time the script is run, it will die on error
touch($tpl_path . 'included_one.tpl');

sub touch
{
	my ($file) = @_;
	my ($atime, $mtime);
	$atime = $mtime = time;
	utime $atime, $mtime, $file;
}
